# Modules List

This module provides a comprehensive overview of all installed modules on your Drupal site with detailed information including version numbers, release dates, and file paths.

## Features

* Displays all enabled modules in a filterable table
* Shows module name, version, description, machine name, path and release date
* Filter modules by name, description or machine name
* JSON endpoint for programmatic access to module information
* Tab integration with the core modules page

## Installation

1. Install as you would normally install a contributed Drupal module
2. Enable the module
3. Access the module list at `/admin/modules/overview`
4. Access the JSON data at `/admin/modules/overview/json`

## Permissions

The module provides two permissions:

* **Access modules list page**: Allows users to view the modules overview page
* **Access modules list JSON feed**: Allows users to access the JSON endpoint

## MAINTAINERS

Current maintainers:

- Mark Conroy (markconroy) - https://www.drupal.org/u/markconroy
